[@rxap/material-table-system](../wiki/globals) / NormalizeTableRow

# Function: NormalizeTableRow()

## Call Signature

> **NormalizeTableRow**\<`T`\>(`row`, `rowId`): `T`

Defined in: [packages/angular/material/table-system/src/lib/table-row-metadata.ts:31](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-metadata.ts#L31)

Normalize the table row. Add the __rowId and __metadata__ properties to the row.

CAUTION: This function mutate the row object

### Type Parameters

• **T** *extends* [`TableRowMetadata`](../wiki/Interface.TableRowMetadata)

extends TableRowMetadata

### Parameters

#### row

[`RawTableRow`](../wiki/TypeAlias.RawTableRow)\<`T`\>

#### rowId

`string`

### Returns

`T`

T the normalized row

## Call Signature

> **NormalizeTableRow**\<`T`\>(`row`, `rowIdMapper`): `T`

Defined in: [packages/angular/material/table-system/src/lib/table-row-metadata.ts:35](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-metadata.ts#L35)

Normalize the table row. Add the __rowId and __metadata__ properties to the row.

CAUTION: This function mutate the row object

### Type Parameters

• **T** *extends* [`TableRowMetadata`](../wiki/Interface.TableRowMetadata)

extends TableRowMetadata

### Parameters

#### row

[`RawTableRow`](../wiki/TypeAlias.RawTableRow)\<`T`\>

#### rowIdMapper

[`RowIdMapperFunction`](../wiki/TypeAlias.RowIdMapperFunction)\<`T`\>

### Returns

`T`

T the normalized row
